%define hal_version  0.5.8
%define dbus_version 0.61

Summary: GNOME Power Manager
Name: gnome-power-manager
Version: 2.26.0
Release: 1.17.moblin2
License: GPLv2+ and GFDL
Group: Applications/System
Source: http://download.gnome.org/sources/gnome-power-manager/2.26/gnome-power-manager-%{version}.tar.gz
Patch0: gpm-2.26.0-stats-help-button.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://projects.gnome.org/gnome-power-manager/

BuildRequires: libgnomeui-devel
BuildRequires: libglade2-devel
BuildRequires: libwnck-devel
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: libnotify-devel
BuildRequires: gnome-panel-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: cairo-devel
BuildRequires: libcanberra-devel
BuildRequires: unique-devel
BuildRequires: PolicyKit-devel
BuildRequires: PolicyKit-gnome-devel
BuildRequires: DeviceKit-devel >= 002
BuildRequires: intltool
Requires: gtk2 >= 2.10.0
Requires: gnome-icon-theme
Requires: libnotify >= 0.4.3
Requires: libcanberra
Requires: hal >= %{hal_version}
Requires: dbus-glib >= %{dbus_version}
Requires: dbus-x11 >= %{dbus_version}
Requires: unique >= 0.9.4
Requires: PolicyKit
Requires: PolicyKit-authentication-agent
Requires: DeviceKit-power >= 003
Requires(post): scrollkeeper
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper

%description
GNOME Power Manager uses the information and facilities provided by HAL
displaying icons and handling user callbacks in an interactive GNOME session.
GNOME Power Preferences allows authorised users to set policy and
change preferences.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-devicekit-power \
	--disable-scrollkeeper \
	--enable-libnotify \
	--enable-legacy-buttons \
	--enable-policykit
make

# strip unneeded translations from .mo files
# ideally intltool (ha!) would do that for us
# http://bugzilla.gnome.org/show_bug.cgi?id=474987
cd po
grep -v ".*[.]desktop[.]in[.]in$\|.*[.]server[.]in[.]in$\|.*[.]schemas[.]in$" POTFILES.in > POTFILES.keep
mv POTFILES.keep POTFILES.in
intltool-update --pot
for p in *.po; do
  msgmerge $p %{name}.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart         		\
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/gnome-power-manager.desktop

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas >/dev/null || :
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libexecdir}/gnome-brightness-applet
%{_libexecdir}/gnome-inhibit-applet
%{_datadir}/gnome-power-manager
%{_mandir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/dbus-1/services/gnome-power-manager.service
%{_datadir}/gnome/help/gnome-power-manager
%{_datadir}/omf/gnome-power-manager
%{_sysconfdir}/xdg/autostart/gnome-power-manager.desktop
%{_datadir}/applications/gnome-power-preferences.desktop
%{_datadir}/applications/gnome-power-statistics.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/bonobo/servers/GNOME_BrightnessApplet.server
%{_libdir}/bonobo/servers/GNOME_InhibitApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_BrightnessApplet.xml
%{_datadir}/gnome-2.0/ui/GNOME_InhibitApplet.xml

%changelog
* Wed May 13 2009 Vivian Zhang <vivian.zhang@intel.com> 2.26.0
- Fixed #1648: help button of gnome-power-statistics does not work
* Sun Mar  8 2009 Anas Nashif <anas.nashif@intel.com> 2.25.91
- Initial import into Moblin
